package com.ym.zxhcsdk;

import java.util.List;

public class HcAdBean {
    private int height;
    private int width;
    private List<String> monitorUrl;
    private List<String> clickUrl;
    private List<String> srcUrls;
    private List<String> dUrl;
    private String pid;
    private int cid;
    private int plan_id;
    private String target_type;
    private int ad_show_type;

    private String app_name;
    private String package_name;
    private String down_url;
    private String title;
    private String content;

    private String from;
    private String req_id;

    private String deeplink;

    private List<String> startInstallmonitorUrls;
    private List<String> finishInstallmonitorUrls;
    private List<String> startdownloadmonitorUrls;
    private List<String> finishdownloadmonitorUrls;
    private List<String> activemonitorUrls;
    private List<String> dpSuccmonitorUrls;
    private List<String> dpFailmonitorUrls;

    private boolean isShowReport;
    private boolean isClickReport;
    private boolean isClickDpLinkSucReport;
    private boolean isClickDpLinkfailReport;

    public boolean isClickDpLinkSucReport() {
        return isClickDpLinkSucReport;
    }

    public void setClickDpLinkSucReport(boolean clickDpLinkSucReport) {
        isClickDpLinkSucReport = clickDpLinkSucReport;
    }

    public boolean isClickDpLinkfailReport() {
        return isClickDpLinkfailReport;
    }

    public void setClickDpLinkfailReport(boolean clickDpLinkfailReport) {
        isClickDpLinkfailReport = clickDpLinkfailReport;
    }

    public boolean isShowReport() {
        return isShowReport;
    }

    public void setShowReport(boolean showReport) {
        isShowReport = showReport;
    }

    public boolean isClickReport() {
        return isClickReport;
    }

    public void setClickReport(boolean clickReport) {
        isClickReport = clickReport;
    }

    //下载
    private long downLoadId;
    private boolean isDownOver;
    private String downLoadFilePath;

    public boolean isDownOver() {
        return isDownOver;
    }

    public void setDownOver(boolean downOver) {
        isDownOver = downOver;
    }

    public String getDownLoadFilePath() {
        return downLoadFilePath;
    }

    public void setDownLoadFilePath(String downLoadFilePath) {
        this.downLoadFilePath = downLoadFilePath;
    }

    public long getDownLoadId() {
        return downLoadId;
    }

    public void setDownLoadId(long downLoadId) {
        this.downLoadId = downLoadId;
    }

    public void setHeight(int height) {
        this.height = height;
    }

    public int getHeight() {
        return height;
    }

    public void setWidth(int width) {
        this.width = width;
    }

    public int getWidth() {
        return width;
    }

    public void setMonitorUrl(List<String> monitorUrl) {
        this.monitorUrl = monitorUrl;
    }

    public List<String> getMonitorUrl() {
        return monitorUrl;
    }

    public void setClickUrl(List<String> clickUrl) {
        this.clickUrl = clickUrl;
    }

    public List<String> getClickUrl() {
        return clickUrl;
    }

    public void setSrcUrls(List<String> srcUrls) {
        this.srcUrls = srcUrls;
    }

    public List<String> getSrcUrls() {
        return srcUrls;
    }

    public void setDUrl(List<String> dUrl) {
        this.dUrl = dUrl;
    }

    public List<String> getDUrl() {
        return dUrl;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getPid() {
        return pid;
    }

    public void setCid(int cid) {
        this.cid = cid;
    }

    public int getCid() {
        return cid;
    }

    public void setPlan_id(int plan_id) {
        this.plan_id = plan_id;
    }

    public int getPlan_id() {
        return plan_id;
    }

    public void setTarget_type(String target_type) {
        this.target_type = target_type;
    }

    public String getTarget_type() {
        return target_type;
    }

    public void setAd_show_type(int ad_show_type) {
        this.ad_show_type = ad_show_type;
    }

    public int getAd_show_type() {
        return ad_show_type;
    }

    public void setFrom(String from) {
        this.from = from;
    }

    public String getFrom() {
        return from;
    }

    public void setReq_id(String req_id) {
        this.req_id = req_id;
    }

    public String getReq_id() {
        return req_id;
    }

    public String getApp_name() {
        return app_name;
    }

    public void setApp_name(String app_name) {
        this.app_name = app_name;
    }

    public String getPackage_name() {
        return package_name;
    }

    public void setPackage_name(String package_name) {
        this.package_name = package_name;
    }

    public String getDown_url() {
        return down_url;
    }

    public void setDown_url(String down_url) {
        this.down_url = down_url;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public List<String> getStartInstallmonitorUrls() {
        return startInstallmonitorUrls;
    }

    public void setStartInstallmonitorUrls(List<String> startInstallmonitorUrls) {
        this.startInstallmonitorUrls = startInstallmonitorUrls;
    }

    public List<String> getFinishInstallmonitorUrls() {
        return finishInstallmonitorUrls;
    }

    public void setFinishInstallmonitorUrls(List<String> finishInstallmonitorUrls) {
        this.finishInstallmonitorUrls = finishInstallmonitorUrls;
    }

    public List<String> getStartdownloadmonitorUrls() {
        return startdownloadmonitorUrls;
    }

    public void setStartdownloadmonitorUrls(List<String> startdownloadmonitorUrls) {
        this.startdownloadmonitorUrls = startdownloadmonitorUrls;
    }

    public List<String> getFinishdownloadmonitorUrls() {
        return finishdownloadmonitorUrls;
    }

    public void setFinishdownloadmonitorUrls(List<String> finishdownloadmonitorUrls) {
        this.finishdownloadmonitorUrls = finishdownloadmonitorUrls;
    }

    public List<String> getActivemonitorUrls() {
        return activemonitorUrls;
    }

    public void setActivemonitorUrls(List<String> activemonitorUrls) {
        this.activemonitorUrls = activemonitorUrls;
    }

    public String getDeeplink() {
        return deeplink;
    }

    public void setDeeplink(String deeplink) {
        this.deeplink = deeplink;
    }

    public List<String> getDpSuccmonitorUrls() {
        return dpSuccmonitorUrls;
    }

    public void setDpSuccmonitorUrls(List<String> dpSuccmonitorUrls) {
        this.dpSuccmonitorUrls = dpSuccmonitorUrls;
    }

    public List<String> getDpFailmonitorUrls() {
        return dpFailmonitorUrls;
    }

    public void setDpFailmonitorUrls(List<String> dpFailmonitorUrls) {
        this.dpFailmonitorUrls = dpFailmonitorUrls;
    }
}
